// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package statemachineJava;

/************************************************************/
/**
 * 
 */
public enum EventType_t {
	/**
	 * 
	 */
	SIGNAL_EVENT,
	/**
	 * 
	 */
	CALL_EVENT,
	/**
	 * 
	 */
	TIME_EVENT,
	/**
	 * 
	 */
	CHANGE_EVENT,
	/**
	 * 
	 */
	COMPLETION_EVENT;
}
